com.thinkaurelius.titan.graphdb.database.serialize.kryo

## Class KryoSerializer

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.serialize.kryo.KryoSerializer

-     public class KryoSerializer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KRYO_ID_OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KryoSerializer(List<Class> defaultRegistrations)`
    `KryoSerializer(List<Class> defaultRegistrations, boolean registrationRequired)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValidClass(Class<?> type)`
    `Object` | `readClassAndObject(ReadBuffer buffer)`
    `<T> T` | `readObjectNotNull(ReadBuffer buffer, Class<T> type)`
    `void` | `writeClassAndObject(WriteBuffer out, Object object)`
    `void` | `writeObjectNotNull(WriteBuffer out, Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KRYO_ID_OFFSET

          public static final int KRYO_ID_OFFSET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KryoSerializer

          public KryoSerializer(List<Class> defaultRegistrations)

    - #### KryoSerializer

          public KryoSerializer(List<Class> defaultRegistrations,
                        boolean registrationRequired)

  - ### Method Detail

    - #### readClassAndObject

          public Object readClassAndObject(ReadBuffer buffer)

    - #### readObjectNotNull

          public <T> T readObjectNotNull(ReadBuffer buffer,
                                Class<T> type)

    - #### writeObjectNotNull

          public void writeObjectNotNull(WriteBuffer out,
                                Object object)

    - #### writeClassAndObject

          public void writeClassAndObject(WriteBuffer out,
                                 Object object)

    - #### isValidClass

          public static final boolean isValidClass(Class<?> type)

Copyright © 2012–2014. All rights reserved.